---
- name: Update logs directory
  any_errors_fatal: true
  become: true
  gather_facts: false
  hosts: all
  roles:
    - role: common
  vars_files:
    - ../vars/common.yml
  tasks:
    - name: Update logs directory
      ansible.builtin.include_role:
        name: update_logs_dir
    - name: Restart Squirro services
      ansible.builtin.command: /bin/true
      changed_when: true
      notify:
        - Restart sqtopicd
        - Restart sqconfigurationd
        - Restart sqcontentd
        - Restart sqdatasourced
        - Restart sqdigestmailerd
        - Restart sqemailsenderd
        - Restart sqfilteringd
        - Restart sqfingerprintd
        - Restart sqindexmanagerd
        - Restart sqingesterd
        - Restart sqmachinelearningd
        - Restart sqnotesd
        - Restart sqpdfconversiond
        - Restart sqplumberd
        - Restart sqproviderd
        - Restart sqrelatedstoryd
        - Restart sqschedulerd
        - Restart sqsearchd
        - Restart sqthumblerd
        - Restart sqtopicproxyd
        - Restart sqtrendsd
        - Restart squserproxyd
        - Restart squserd
        - Restart sqwebshotd
        - Restart sqfrontendd
